GET api/medistreamprogramapi/program/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
MediStreamProgramViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| medistream_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| local_id | integer |
Range: inclusive between 0 and ∞ |
|
| name | string |
Required |
|
| active | boolean |
Required |
|
| duration | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"medistream_id": "30dc4f63-d5ea-4a57-b644-adfb0b2c6450",
"id": "ce8305c2-575a-47ff-babc-690302c039fb",
"local_id": 1,
"name": "sample string 3",
"active": true,
"duration": 1
}
application/xml, text/xml
Sample:
<medistream_program xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <duration>1</duration> <id>ce8305c2-575a-47ff-babc-690302c039fb</id> <local_id>1</local_id> <medistream_id>30dc4f63-d5ea-4a57-b644-adfb0b2c6450</medistream_id> <name>sample string 3</name> </medistream_program>